# Porting Unix software to Darwin and Mac OS X
# http://fink.sourceforge.net/doc/porting/porting.en.html


SHARED_LDFLAGS = -dynamiclib

LDD = otool -L

AR = libtool
ARFLAGS = -v -o


LIB_CAROB_LINKNAME = lib${CAROB}.dylib
LIB_CAROB_SONAME = lib${CAROB}.${CAROB_MAJOR_VERSION}.dylib

# to build a release try to run make with CAROB_ROOT=/usr/local/lib

SHARED_INDIRECT_LDFLAGS += -install_name ${CAROB_ROOT}/${LIB_CAROB_SONAME}

# may be needed in some hackish configurations you don't want to know about
# TEST_INDIRECT_LDFLAGS += -dylib_file /usr/local/lib/${LIB_CAROB_SONAME}:../${LIB_CAROB_SONAME}

